Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.editor.internal.e3
Class MEEditorPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.forms.editor.FormPage
                      org.eclipse.emf.ecp.editor.internal.e3.MEEditorPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class MEEditorPage

extends org.eclipse.ui.forms.editor.FormPage

The editor page for the `MEEditor`.

Author:
  helming, shterev, naughton

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`MEEditorPage(MEEditor editor, String id, String title, ECPEditorContext ecpEditorContext, org.eclipse.emf.ecore.EObject modelElement)` Default constructor.
`MEEditorPage(MEEditor editor, String id, String title, ECPEditorContext modelElementContext, org.eclipse.emf.ecore.EObject modelElement, org.eclipse.emf.ecore.EStructuralFeature problemFeature)` Default constructor.

Method Summary
`void` | `dispose()`
`void` | `setFocus()` This method is added to solve the focus bug of navigator.
`void` | `updateSectionTitle()` Updates the name of the section.

Methods inherited from class org.eclipse.ui.forms.editor.FormPage
`canLeaveThePage, createPartControl, doSave, doSaveAs, getEditor, getId, getIndex, getManagedForm, getPartControl, getTitleImage, init, initialize, isActive, isDirty, isEditor, isSaveAsAllowed, selectReveal, setActive, setIndex`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### MEEditorPage

    public MEEditorPage(MEEditor editor,
                        String id,
                        String title,
                        ECPEditorContext ecpEditorContext,
                        org.eclipse.emf.ecore.EObject modelElement)

  Default constructor.

  Parameters:
    `editor` - the `MEEditor`
    `id` - the `FormPage.id`
    `title` - the title
    `ecpEditorContext` - the `ECPEditorContext`
    `modelElement` - the modelElement

### MEEditorPage

    public MEEditorPage(MEEditor editor,
                        String id,
                        String title,
                        ECPEditorContext modelElementContext,
                        org.eclipse.emf.ecore.EObject modelElement,
                        org.eclipse.emf.ecore.EStructuralFeature problemFeature)

  Default constructor.

  Parameters:
    `editor` - the `MEEditor`
    `id` - the `FormPage.id`
    `title` - the title
    `modelElementContext` - the `ECPEditorContext`
    `modelElement` - the modelElement
    `problemFeature` - the problemFeature

Method Detail

### updateSectionTitle

    public void updateSectionTitle()

  Updates the name of the section.

### setFocus

    public void setFocus()

  This method is added to solve the focus bug of navigator. Every time that a ME is opened in editor, navigator has to lose focus so that its action contributions are set correctly for next time.

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `setFocus` in class `org.eclipse.ui.forms.editor.FormPage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.forms.editor.FormPage`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.